use rust_decimal::Decimal;
use serde::{Serialize, Deserialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Car {
    pub id: i32,
    pub brand: String,
    pub model: String,
    pub price: Decimal,
    pub owner_id: i32,
    pub car_station_id: i32
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct BindingCar {
    pub brand: String,
    pub model: String,
    pub price: Decimal,
    pub owner_id: i32,
    pub car_station_id: i32
}

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Report {
    pub car_id: i32,
    pub brand: String,
    pub model: String,
    pub times: i64,
    pub income: Decimal
}